%undefine __cmake_in_source_build

Summary: A Tier 1 KDE Frameworks 5 module that wraps NetworkManager DBus API
Name:    kf5-networkmanager-qt
Version: 5.110.0
Release: 1%{?dist}
License: LGPLv2+
URL:     https://invent.kde.org/frameworks/networkmanager-qt
%global majmin %majmin_ver_kf5
%global stable %stable_kf5
Source0: http://download.kde.org/%{stable}/frameworks/%{majmin}/networkmanager-qt-%{version}.tar.xz
BuildRequires:  extra-cmake-modules >= %{majmin}, kf5-rpm-macros >= %{majmin}
BuildRequires:  qt5-qtbase-devel, pkgconfig(libnm)
Recommends:     NetworkManager
Requires:       kf5-filesystem >= %{majmin}

%description
A Tier 1 KDE Frameworks 5 Qt library for NetworkManager.

%package devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}
Requires:       qt5-qtbase-devel
Requires:       pkgconfig(libnm)

%description    devel
Qt libraries and header files for developing applications
that use NetworkManager.

%prep
%autosetup -p1 -n networkmanager-qt-%{version}

%build
%cmake_kf5

%cmake_build

%install
%cmake_install


%files
%license LICENSES/*.txt
%doc README.md
%{_kf5_libdir}/libKF5NetworkManagerQt.so.*
%{_kf5_datadir}/qlogging-categories5/*categories
%{_kf5_datadir}/qlogging-categories5/*.categories

%files devel
%{_kf5_includedir}/NetworkManagerQt/
%{_kf5_libdir}/libKF5NetworkManagerQt.so
%{_kf5_libdir}/cmake/KF5NetworkManagerQt/

%changelog
* Thu Dec 21 2023 Chair <chairou@tencent.com> - 5.110.0-1
- Init
